from . import ReadDTO, WriteDTO


class UserDTO(WriteDTO):
    name: str
    email: str


class UserWriteDTO(UserDTO):
    password: str


class UserReadDTO(ReadDTO, UserDTO):
    hashed_password: str


class UserDBDTO(UserDTO):
    hashed_password: str
